TemplatedFieldType< Field_T > Struct Template Reference

Used to return a string for the name of a templated field. More...

`#include <Traits.h>`

## Public Member Functions

const char * | name ()
| TemplatedFieldType ()

## Private Attributes

std::string | m_name

## Detailed Description

template<class Field_T>
struct TemplatedFieldType< Field_T >

Used to return a string for the name of a templated field.

Definition at line 282 of file Traits.h.

## Constructor & Destructor Documentation

## TemplatedFieldType()

template<class Field_T>

TemplatedFieldType< Field_T >::TemplatedFieldType | ( |  | ) |

inline

Definition at line 288 of file Traits.h.

{
m_name = Field_T::staticClassName();
m_name +=
"<" +
DataTypeTraits<typename Field_T::value_type>::name() +
">";
}
DataTypeTraits::name
static std::string name()
Definition Traits.h:267
TemplatedFieldType
Used to return a string for the name of a templated field.
Definition Traits.h:283
TemplatedFieldType::m_name
std::string m_name
Definition Traits.h:297

References m_name, and DataTypeTraits< T >::name().

## Member Function Documentation

## name()

template<class Field_T>

const char * TemplatedFieldType< Field_T >::name | ( |  | ) |

inline

Definition at line 284 of file Traits.h.

{
return m_name.c_str();
}

References m_name.

## Member Data Documentation

## m_name

template<class Field_T>

std::string TemplatedFieldType< Field_T >::m_name

private

Definition at line 297 of file Traits.h.

Referenced by name(), and TemplatedFieldType().

The documentation for this struct was generated from the following file:

- export/Traits.h